dcd-server(1)

NAME
dcd-server - autocompletion server for the D programming language

SYNOPSIS
dcd-server [-I directory] [-p|--port portNumber] [--tcp] [--socketFile filePath] [--logLevel level] [-h|--help] [--version]

DESCRIPTION
dcd-server caches information about D source files that were found

OPTIONS
-p, --port portNumber
    Choose the port number on which dcd-server listens. This switch implies --tcp.
--tcp
    Listen on a TCP socket instead of a UNIX domain socket. This is the default on Windows.
--socketFile filePath
    Set the path to use for the UNIX domain socket. Has no effect if the --tcp or --port switches are used.
--logLevel level
    Configure the logging level for dcd-server. Valid values are all trace info warning error critical fatal off
-I directory
    Includes directory in the list of directories to scan for source files. This option can be specified multiple times.
-h, --help
    Prints a help message.
--version
    Prints the current version number and exits.

FILES
dcd-server can be configured through the use of a file called dcd.conf This file should be placed in one of the following locations:

•   /etc/dcd.conf

•   ${XDG_CONFIG_HOME}/dcd/dcd.conf

•   ${HOME}/.config/dcd/dcd.conf
Each line in the file should be a path to search for D source files. A line in dcd.conf is equivalent to passing that same line to dcd-server with the -I option. Lines that start with the '#' character are ignored. Unless the --tcp switch is used, dcd-server will default to communicating with the client over a UNIX domain socket. dcd-server will attempt to create the socket in the following locations:

•   ${XDG_RUNTIME_DIR}/dcd.socket

•   /tmp/dcd-${UID}.socket

AUTHOR
Written by Brian Schott (@Hackerpilot on Github)

BUGS
Please use the issue tracker located at https://github.com/dlang-community/DCD/issues

SEE ALSO
dcd-client(1)